---
type: api
title: Get response actions status
description: Get the status of response actions for the specified agent IDs.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-endpointgetactionsstatus
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-endpointgetactionsstatus
products:
  - Kibana
---

# Get response actions status

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/endpoint/action_status`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

## Description

Get the status of response actions for the specified agent IDs.

## Query String Parameters

- `agent_ids` (union  · min: 1)
  A list of agent IDs to get the action status for.
  One of: `string[]` or `string`

## Response

Indicates a successful call.

`application/json`

- `data` ([] object)
  One pending-actions summary entry per requested agent.
  - `agent_id` (string · max: 256)
    Agent ID
  - `pending_actions` (union)
    - **{ execute, get-file, isolate, … }**
      - `execute` (integer)
        Number of pending actions of this type.
      - `get-file` (integer)
        Number of pending actions of this type.
      - `isolate` (integer)
        Number of pending actions of this type.
      - `kill-process` (integer)
        Number of pending actions of this type.
      - `running-processes` (integer)
        Number of pending actions of this type.
      - `scan` (integer)
        Number of pending actions of this type.
      - `suspend-process` (integer)
        Number of pending actions of this type.
      - `unisolate` (integer)
        Number of pending actions of this type.
      - `upload` (integer)
        Number of pending actions of this type.
    - **object**
## Code Examples

#### Console

```console
GET /api/endpoint/action_status?agent_ids={agent_ids}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/endpoint/action_status?agent_ids={agent_ids}"
```

## Response Examples

#### Pending response actions per agent

```json
{
  "data": [
    {
      "agent_id": "afdc366c-e2e0-4cdb-ae1d-94575bd2d8e0",
      "pending_actions": {
        "execute": 0,
        "get-file": 0,
        "isolate": 0,
        "kill-process": 1,
        "running-processes": 0,
        "scan": 0,
        "unisolate": 0,
        "upload": 0
      }
    }
  ]
}
```

